{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% set _breadcrumb = ['Administration', ['Utilisateurs', 'user.index'], [user.fullName, 'user.edit', {id: user.id}], 'Administration' ] %}
{% extends "admin/user/_layout.html.twig" %}

{% block subcontent %}
    <div class="box no-border">
        <div class="box-body p-0">
            <div class="list-group list-group-admin-tasks m-b-0">
                {% if is_granted('user.administrate', user) %}
                    
                    {% if is_granted('ROLE_SUPER_ADMIN') %}
                        <div class="list-group-item">
                            <a href="{{ path('homepage', {'_switch_user': user.username}) }}" class="btn btn-default pull-right">Se connecter</a>
                            <h4 class="list-group-item-heading"><span class="fa fa-user-secret"></span> Se connecter en tant que {{ user.fullName }}</h4>
                            <p class="list-group-item-text">La substitution d'authentification vous permet de vous connecter en tant que {{ user.fullName }}</p>
                        </div>
                    {% endif %}

                    {% if not has_role('ROLE_ADMIN', user) %}
                    <div class="list-group-item">
                        {% set action = user.role == 'ROLE_USER_CERTIFIED' ? 'Décertifier' : 'Certifier' %}
                        <a href="{{ path('user.administrate.certify', {id: user.id}) }}" class="btn btn-default pull-right" data-toggle="modal-remote">{{ action }}</a>
                        <h4 class="list-group-item-heading"><span class="fa fa-star"></span> {{ action }} l'utilisateur</h4>
                        <p class="list-group-item-text">Permet à l'utilisateur d'accèder à des fonctionnalités supplémentaires, notamment la publication automatique sur data.gouv.fr.</p>
                    </div>
                    {% endif %}

                    <div class="list-group-item list-group-item-warning">
                        <a href="{{ path('user.administrate.block', {id: user.id}) }}" class="btn btn-warning pull-right" data-toggle="modal-remote">{{ user.accountNonLocked ? 'Bloquer' : 'Débloquer' }}</a>
                        <h4 class="list-group-item-heading"><span class="fa fa-ban"></span> {{ user.accountNonLocked ? 'Bloquer' : 'Débloquer' }} l'utilisateur</h4>
                        <p class="list-group-item-text">Une fois {{ user.accountNonLocked ? 'bloqué' : 'débloqué' }}, l'utilisateur {{ user.accountNonLocked ? 'ne sera plus ' : 'sera ' }} en mesure de s'authentifier sur la plateforme.</p>
                    </div>

                    <div class="list-group-item list-group-item-danger">
                        <a href="{{ path('user.administrate.remove', {id: user.id}) }}" class="btn btn-danger pull-right" data-toggle="modal-remote">Supprimer</a>
                        <h4 class="list-group-item-heading"><span class="fa fa-trash"></span> Supprimer définitivement cet utilisateur</h4>
                        <p class="list-group-item-text">Supprime définitivement l'utilisateur de la plateforme</p>
                    </div>
                {% endif %}
            </div>
        </div>
    </div>
{% endblock %}